GZEXE(1)

NOM
gzexe – Compression de fichiers exécutables sur place

SYNOPSIS
gzexe nom ...

DESCRIPTION
L’utilitaire gzexe permet de compresser des exécutables sur place et qu’ils soient automatiquement décompressés lors de leur exécution (au prix d’une baisse de performance). Par exemple, lors d’une exécution de « gzexe /usr/bin/gdb », il crée les deux fichiers suivants :
    -rwxr-xr-x  1 root root 1026675 Jun  7 13:53 /usr/bin/gdb
    -rwxr-xr-x  1 root root 2304524 May 30 13:02 /usr/bin/gdb~
/usr/bin/gdb~ est le fichier original et /usr/bin/gdb est le fichier exécutable auto-décompressable. /usr/bin/gdb~ peut être supprimé lorsque vous êtes sûr que /usr/bin/gdb fonctionne correctement.

Cet utilitaire est particulièrement utile sur des systèmes avec de très petits disques.

OPTIONS

-d  Décompression des exécutables indiqués au lieu de les compresser.

VOIR AUSSI
gzip(1), znew(1), zmore(1), zcmp(1), zforce(1)

AVERTISSEMENT
L’exécutable compressé est un script d’interpréteur de commandes. Cela peut créer des trous de sécurité. En particulier, l’exécutable compressé repose sur la variable d’environnement PATH pour trouver gzip et quelques utilitaires standard (basename, chmod, ln, mkdir, mktemp, rm, sleep et tail).

BOGUES
La commande gzexe essaie de conserver les attributs du fichier original pour l’exécutable compressé, mais il se peut qu’il faille les corriger manuellement dans certains cas en utilisant chmod ou chown.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.